​

Get sprint summary

GET
https://example.kaiten.ru/api/latest/sprints/{id}

Returns a detailed summary of a sprint, including cards, their relationships, paths, updates, and custom properties. Requires user to have access to relevant space.

Path parameters
NameTypeReference
idrequiredintegerSprint ID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
exclude_deleted_cardsbooleanExclude deleted cards from the summary if true
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
created

string

Sprint creation timestamp
updated

string

Sprint last update timestamp
archived

boolean

Sprint archived flag
id

integer

Sprint ID
uid

string

Sprint UID
board_id

integer

Board ID the sprint belongs to
title

string

Sprint title
goal

string

Sprint goal
active

boolean

Sprint active status
committed

integer

Number of committed cards
children_committed

integer

Number of committed child cards
velocity

number

Sprint velocity
velocity_details

object

Schema
Velocity by members
children_velocity

number

Velocity of child cards
children_velocity_details

object

Schema
creator_id

integer

updater_id

integer

start_date

string

finish_date

string

actual_finish_date

string

cards

array of objects

Schema
List of cards in the sprint
cardUpdates

array of objects

Schema
Card versions and states over time
customProperties

array of objects

List of custom properties used in sprint cards
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
User does not have access to view this sprintResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Sprint not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/sprints/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!